Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.spi.bootstrap
Interface KernelInitializer

All Known Implementing Classes:
  AbstractKernelInitializer

public interface KernelInitializer

Kernel Factory.

Initialises a kernel.

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock

Method Summary
`void` | `initKernel(Kernel kernel)` Initialise a kernel

Method Detail

### initKernel

    public void initKernel(Kernel kernel)
                    throws Throwable

  Initialise a kernel

  Parameters:
    `kernel` - the kernel
  Throws:
    `Throwable` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.